Subject: Re: [PATCH 0/8] object_id part 2

From: Junio C Hamano <[email-masked]>
Date: Thu, 11 Jun 2015 13:00:04 -0700

Junio C Hamano <[email-masked]> writes:

> "brian m. carlson" <[email-masked]> writes:
>
>> On Wed, Jun 10, 2015 at 11:51:14PM +0000, brian m. carlson wrote:
>>> On Wed, Jun 10, 2015 at 03:50:32PM -0700, Junio C Hamano wrote:
>>> > "brian m. carlson" <[email-masked]> writes:
>>> > >   Convert struct object to object_id
>>> > 
>>> > It seems that the last one didn't make it...
>>> 
>>> It appears the mail was too large for vger.  Unfortunately for
>>> bisectability reasons, it is necessarily large.  I'll resubmit the patch
>>> with less context.
>>
>> Unfortunately, the only patch I can generate that falls under to 100 KB
>> limit is with -U0, which isn't very useful.  How do you want to proceed?
>> The branch is available at [0], or I can send the -U0 patch, or I can
>> split it into unbisectable pieces.
>>
>> [0] https://github.com/bk2204/git.git object-id-part2
>
> No approach other than just letting reviewers fetch from there and
> taking a look is reasonable, I would think.

Fetched that branch, built and found out that it does not pass the
tests, at least these (there may be others I do not usually run that
are broken by this series; I dunno), so I'll discard what I fetched
for now X-<.

Test Summary Report
-------------------
t5540-http-push-webdav.sh  (Wstat: 256 Tests: 19 Failed: 12)
  Failed tests:  4-10, 12-15, 17
  Non-zero exit status: 1
t5539-fetch-http-shallow.sh (Wstat: 256 Tests: 3 Failed: 2)
  Failed tests:  2-3
  Non-zero exit status: 1
t5541-http-push-smart.sh   (Wstat: 256 Tests: 34 Failed: 27)
  Failed tests:  3-17, 22-29, 31-34
  Non-zero exit status: 1
t5551-http-fetch-smart.sh  (Wstat: 256 Tests: 26 Failed: 17)
  Failed tests:  4-14, 16, 19-20, 22, 24-25
  Non-zero exit status: 1
t5550-http-fetch-dumb.sh   (Wstat: 256 Tests: 29 Failed: 12)
  Failed tests:  3, 7-16, 19
  Non-zero exit status: 1